Skip to main content
Products represent the goods and services your business sells. By creating and maintaining products with appropriate tax codes, you can ensure accurate tax calculations for your transactions.

Product Ids and SKUs

Products can be uniquely identified by either of the following:
  • id: The unique identifier for the product in Commenda’s system.
  • sku: A unique identifier generated by the seller and used consistently across each ERP.

Product Taxability Codes

Products can be mapped to product taxability codes. Commenda uses product taxability codes to determine whether products are taxable or exempt in each jurisdiction.
  • Assign product taxability codes to each product with the POST /product (create) and POST /product/:id (update) endpoints.
  • When calculating tax for a transaction using the /calculate endpoint, provide the product_id of the product associated with each line item in order to fetch the associated tax codes from the product itself.

Bulk Upload of Products

Upload product data by sending a POST request to the /products/bulk endpoint.

Format

Files must be uploaded in CSV format, with headers specified in our bulk uploads template.